# Class: YARD::Parser::Ruby::ReferenceNode

Inherits:
  AstNode
  - Object
  - Array
  - AstNode
  - YARD::Parser::Ruby::ReferenceNode
  show all

Defined in:
  lib/yard/parser/ruby/ast_node.rb

## Managing node state collapse

- #namespace ⇒ Object
- #path ⇒ Object
- #ref? ⇒ Boolean

## Constructor Details

This class inherits a constructor from YARD::Parser::Ruby::AstNode

## Instance Method Details

### #namespace ⇒ `Object`

    367
    368
    369

    # File 'lib/yard/parser/ruby/ast_node.rb', line 367

    def namespace
      Array.new flatten[0...-1]
    end

### #path ⇒ `Object`

    363
    364
    365

    # File 'lib/yard/parser/ruby/ast_node.rb', line 363

    def path
      Array.new flatten
    end

### #ref? ⇒ `Boolean`

Returns:

- (`Boolean`)

    361

    # File 'lib/yard/parser/ruby/ast_node.rb', line 361

    def ref?; true end